> ## Documentation Index
> Fetch the complete documentation index at: https://bunnynet-cb9733c2-add-new-partner-apis.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Customer Overview

> Get an overview of a customer: monthly usage snapshot, bandwidth trend, contract, and product summaries.



## OpenAPI

````yaml https://core-api-public-docs.b-cdn.net/docs/v3/PartnerPortal.json get /partner/customer/{customerUserId}
openapi: 3.0.0
info:
  title: bunny.net Partner Portal API
  version: 1.0.0
servers:
  - url: https://api.bunny.net
    description: bunny.net API Server
security:
  - AccessKey: []
tags:
  - name: Customers
  - name: Audit Log
  - name: Contract
  - name: Billing
  - name: Pricing
  - name: Products
paths:
  /partner/customer/{customerUserId}:
    get:
      tags:
        - Customers
      summary: Get Customer Overview
      description: >-
        Get an overview of a customer: monthly usage snapshot, bandwidth trend,
        contract, and product summaries.
      operationId: GetPartnerCustomerOverviewEndpoint_GetOverview
      parameters:
        - name: customerUserId
          in: path
          required: true
          schema:
            type: string
          x-position: 1
      responses:
        '200':
          description: Overview payload.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PartnerCustomerOverviewModel'
        '401':
          description: The request authorization failed.
        '403':
          description: Customer is not assigned to this partner.
        '404':
          description: Customer user account no longer exists.
      security:
        - AccessKey:
            - ResellerPartner
            - MSPPartner
        - bearer:
            - ResellerPartner
            - MSPPartner
components:
  schemas:
    PartnerCustomerOverviewModel:
      type: object
      additionalProperties: false
      properties:
        MonthlyBandwidthUsedBytes:
          type: integer
          description: Bandwidth served to the customer in the current month
          format: int64
        MonthlyRequestCount:
          type: integer
          description: Total pull-zone requests served to the customer in the current month
          format: int64
        TotalStorageUsedBytes:
          type: integer
          description: Storage currently used across all of the customer's storage zones
          format: int64
        MonthlyCostUsd:
          type: number
          description: Accrued cost for the current calendar month
          format: double
        ContractValue:
          type: number
          description: Contract value agreed with the partner.
          format: decimal
          nullable: true
        ContractCurrency:
          description: Currency of the contract value.
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/PartnerCustomerContractCurrency'
        BandwidthUsedChart:
          type: object
          description: Daily bandwidth used over the last 7 days
          nullable: true
          additionalProperties:
            type: number
            format: double
        Products:
          type: array
          description: >-
            Enable/disable state and resource count for each product the
            customer can use
          nullable: true
          items:
            $ref: '#/components/schemas/PartnerCustomerProductStateModel'
    PartnerCustomerContractCurrency:
      type: integer
      description: |-
        0 = USD
        1 = EUR
      x-enumNames:
        - USD
        - EUR
      enum:
        - 0
        - 1
    PartnerCustomerProductStateModel:
      type: object
      additionalProperties: false
      properties:
        ProductId:
          description: |-
            The product this state applies to

            1 = CDN
            2 = Database
            3 = DNS
            4 = Magic Containers
            5 = Optimizer
            6 = Edge Scripting
            7 = Shield
            8 = Storage
            9 = Stream
          oneOf:
            - $ref: '#/components/schemas/PartnerCustomerProductType'
        IsEnabled:
          type: boolean
          description: Whether the partner has enabled this product for the customer
        ResourceCount:
          type: integer
          description: Number of resources the customer currently has for this product
          format: int32
    PartnerCustomerProductType:
      type: integer
      description: |-
        1 = CDN
        2 = Database
        3 = DNS
        4 = Magic Containers
        5 = Optimizer
        6 = Edge Scripting
        7 = Shield
        8 = Storage
        9 = Stream
      x-enumNames:
        - CDN
        - Database
        - DNS
        - Magic Containers
        - Optimizer
        - Edge Scripting
        - Shield
        - Storage
        - Stream
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
  securitySchemes:
    AccessKey:
      type: apiKey
      description: API Access Key authorization header
      name: AccessKey
      in: header
    bearer:
      type: apiKey
      description: Bearer token authorization header
      name: Authorization
      in: header

````